Subject: Missing IPR confirmation on WG document

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 26 Jun 2018 08:37:02 -0500

Folks: What is our collective wisdom on how to handle a non-responsive
author with respect to Section 3 of the proto-writeup [1]?

I need to move a document to IESG, however, all but one author has sent
the confirmation as required by Section 3 of the proto-writeup [1].

Repeated efforts over the last 3 weeks to elicit a confirmation from the
tardy author have failed.  The email to the author is not bouncing, but
could be going into a spam folder.

What are the chair options if the author does not respond at all?  I am
aware of the drastic option to take the offending author off the author
list.  But are there other less drastic ones?

[1]
https://www.ietf.org/chairs/document-writeups/essay-style-document-writeup/

Thank you for your time!

Cheers,

- vijay
--
Vijay K. Gurbani / [email-masked]
Network Data Science, Nokia Networks
Calendar: http://goo.gl/x3Ogq

---

From: Loa Andersson <[email-masked]>
Date: Mon, 9 Jul 2018 18:13:28 +0200

Vijay,

I have another case - it is now more than 6 weeks waiting for the 
response from first three, then two and now one auhtor.

I do not move the document until I have all responses.

I think the idea here is that anyone that could have influenced the
content of the document must state publicly that he/she is not have
(or have knowledge of) an IPR that has not been disclosed.

I try to use people I know hae contact with the person that has not
responded, and have them help me.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 9 Jul 2018 17:18:39 +0100

ipr confirmation is not an ietf process requirement. it is highly desirable, but note that the boilerplate in a draft effectively says the same thing.

Suggest...
1. inform the WG that you tried and failed. ask if they care
2. just state what you did and what happened in the write-up
3. consider that during auth48 you need the author to respond as well, so it may be pragmatic to "demote" the author to contributor (note that for a WG document you have power to require that, but the ther authors will probably think it a good thing anyway)

Ciao,
Adrian

> -----Original Message-----
> From: WGChairs [mailto:[email-masked]] On Behalf Of Vijay K.
> Gurbani
> Sent: 26 June 2018 14:37
> To: [email-masked]
> Subject: Missing IPR confirmation on WG document
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 9 Jul 2018 17:25:16 +0100

Yes Loa,
And in your WG it is clear that that is what you are doing, so expectations are set.
As a contributor to that WG, I find it frustrating! :-)
An individual can effectively block the WG adoption of a draft.

Since WG chairs appoint authors of WG documents, and since the boilerplate should be enough if this goes to court, I would prefer you to remove authors by demoting them to contributor and let the WG go forward.

But I acknowledge that you are the chair and can run the WG your way: you understand the issues and can best drive the WG.

BTW, RFCs 6701 and 6702 are about helping authors and contributors remember their responsibilities and then dealing with the cases where they are "naughty". Those RFCs are not more than informational advice.

A

> From: WGChairs [mailto:[email-masked]] On Behalf Of Loa Andersson
> Sent: 09 July 2018 17:13
> To: Vijay K. Gurbani; [email-masked]
> Subject: Re: Missing IPR confirmation on WG document
> 
> Vijay,
>

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 9 Jul 2018 18:26:34 +0200

Hi Vijay,

> On Jun 26, 2018, at 15:37, Vijay K. Gurbani <[email-masked]> wrote:
> 

I’m with Adrian here: That is not at all drastic.  (Of course, you do want to exhaust the reasonable avenues to make contact, first).  If authors know they can’t just fall off the map during the process, things are so much easier for the people trying to run the process.  And it’s your call.

So just declare the natural outcome of the non-response and make sure everyone in the WG knows they can’t both be an author and not respond to email (*).

Grüße, Carsten

(*) Says the guy in the glass house.  But I mean it…

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 9 Jul 2018 16:34:44 +0000

If you have not already, try sending the email about disclosing IRP to the working group list and request responses from the authors. An author's email filters might cause them to accidentally miss a direct email from a chair/shepherd, but presumably they are receiving emails sent to the wg list.

Cheers,
Charles

-----Original Message-----
From: hackathon <[email-masked]> on behalf of "Vijay K. Gurbani" <[email-masked]>
Organization: Network Data Science, Applications and Analytics
Date: Monday, July 9, 2018 at 9:07 AM
To: IETF chairs <[email-masked]>
Subject: Missing IPR confirmation on WG document

    

    [1]
    
    Thank you for your time!
    
    Cheers,
    
    - vijay

---

From: Fred Baker <[email-masked]>
Date: Mon, 9 Jul 2018 10:00:07 -0700

You might ask the co-authors or the working group whether they have alternate means of contacting someone, or if they have an employer, ask someone else from the same employer. Could be a spam folder, or could be a vacation.

Sent using a machine that autocorrects in interesting ways...

> On Jun 26, 2018, at 6:37 AM, Vijay K. Gurbani <[email-masked]> wrote:
>

---

From: joel jaeggli <[email-masked]>
Date: Mon, 9 Jul 2018 10:29:32 -0700

Ultimately if they are not contactable they're not going to be able to
approve it in auth48.

So they should probably be removed as an author unless there are
extenuating circumstances that might make that less desirable (like they
died).

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 09 Jul 2018 10:39:05 -0700

Vijay,

As for RTGWG, luckily, we have never had to "remove" anyone due to unresponsiveness, however it often takes time to get everyone to respond.
In most cases, we try to also contact those people "out of band",  people change jobs, emails, etc...
In general - after 6 weeks of trying I'd have a chat with the co-authors and potentially "remove" the person in question.

I don't think moving to contributors is a right thing to do,  we also request every contributor to respond to IPR call, if the person in question had no interest whatsoever to working in IETF thanking for the initial contribution should be good enough. 

Cheers,
Jeff

On 7/9/18, 09:07, "WGChairs on behalf of Vijay K. Gurbani" <[email-masked] on behalf of [email-masked]> wrote:

    

    [1]
    
    Thank you for your time!
    
    Cheers,
    
    - vijay

---

From: Warren Kumari <[email-masked]>
Date: Mon, 9 Jul 2018 13:48:38 -0400

On Mon, Jul 9, 2018 at 12:18 PM Adrian Farrel <[email-masked]> wrote:

> ipr confirmation is not an ietf process requirement. it is highly
> desirable, but note that the boilerplate in a draft effectively says the
> same thing.
>
> Suggest...

I would add:

Tell the responsible AD LOUDLY and clearly that this happened in a direct
email; after reading many write-ups it is easy for one’s eyes to skip over
bits accidentally.

W

> 3. consider that during auth48 you need the author to respond as well, so
> it may be pragmatic to "demote" the author to contributor (note that for a
> WG document you have power to require that, but the ther authors will
> probably think it a good thing anyway)
>
> Ciao,
> Adrian
>
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 9 Jul 2018 19:03:29 -0400

Extending Fred's suggestions a bit, use the telephone. Try getting someone
at their employer. Try finding out who their supervisor is -- not to
complain about them but just to say its important that you contact them
about an IETF document and you want to know if they are on vacation or sick
or whatever...

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked]

On Mon, Jul 9, 2018 at 1:00 PM, Fred Baker <[email-masked]> wrote:

> You might ask the co-authors or the working group whether they have
> alternate means of contacting someone, or if they have an employer, ask
> someone else from the same employer. Could be a spam folder, or could be a
> vacation.
>

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 03:47:10 +0200

Adrian:

I have no idea about the specific draft/author Loa/You are referring to,
but i would prefer that the escalation that you are suggesting (demotion
of author to contributor) is done only when intent to delay/disturb
is seen to be a more likely reason for no-response than an of the other
possible reasons for this to happen. At last i hope its the human thing
to do. 

On the other hand: Given how IESG will take a good while and then the
document can block even in the RFC editor queue, maybe rev the document,
ake the author in question listed first in contributor section with
following explanation that the person will be upgraded to author again
if an IPR disclosure is received from the person before AUTH48. But
also raise that point explicitly with WG/IESG. But forward to IESG then
without further delay.

Cheers
   Toerless

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 03:48:21 +0200

Wrt to my response a minute ago:
;-) Argh.. never respond mail after mail but only after reading the whole thread ;-)

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 04:08:07 +0200

Thanks Jeff for the experience insight.

So... you're saying temporarily remove to Acknowledgemenet section
instead of contributor section, but still with ability to move
back to Author stat if IPR received no later than AUTH48 ?

Cheers
    Toerless

On Mon, Jul 09, 2018 at 10:39:05AM -0700, Jeff Tantsura wrote:
> ???On 7/9/18, 09:07, "WGChairs on behalf of Vijay K. Gurbani" <[email-masked] on behalf of [email-masked]> wrote:
> 

-- 
---
[email-masked]

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 10 Jul 2018 00:22:39 -0400

> back to Author stat if IPR received no later than AUTH48 ?

This seems pretty shady. Either the person's contributions are 
sufficient to be considered an author, or they aren't. And IPR is IPR 
whether the person is an author or not. This seems to simply be a way to 
work around our procedures without addressing the fundamental issues.

	Thanks,
	Paul

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 06:49:39 +0200

On Tue, Jul 10, 2018 at 12:22:39AM -0400, Paul Kyzivat wrote:
> This seems pretty shady. Either the person's contributions are sufficient to
> be considered an author, or they aren't. And IPR is IPR whether the person
> is an author or not. This seems to simply be a way to work around our
> procedures without addressing the fundamental issues.

RFC8179/5.1.1 mandates IPR statements from contributors, which i think
in legal term includes authors to (every author is a contributor,
but not vice versa).

So, if an author is intentionally unresponsive, it does not help to
downgrade him/her to contributor because that doesn't seem to eliminate
the 5.1.1 requirement (i may be wrong, i am just expressing my personal
opinion).

If instead, the author/contributor is downgraded to being mentioned
in the acknowledgement section, it seems that it eliminated RFC8179/5.1.1.

Obviously if this is an open question, its best to ask our IETF lawyer.

I don't know what you think is the fundamental issue, i think the
fundamental issue is that these IPR statement requirements are there
to protect the IETF and its RFC consumers (especially implementers/sellers
of IETF standards).

There is no protection against RFCs adopting ideas from third parties 
that unbeknownst to the RFC contributors (or any friendly RFC8179/5.1.2/5.1.3
person) are covered by IPR.  The above discussion simply turns the
"silent contributor stalling his RFC" situation into the same unprotected
scenario. 

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Loa Andersson <[email-masked]>
Date: Tue, 10 Jul 2018 10:58:10 +0200

Adrian,

If we have a person that has had the opportunity to influence a working
group document such that an IPR that that person (or the company he/she
is working for) and he or she does not respond on the IPR poll, how 
would a decision by the wg chairs, consensus in the wg or a decision by
the IESG help us.

You point at ID template and say that this would be enough if we go to
court. However the IPR poll is not for us to be on dry ground in court.

The IPR poll is there for 2 reasons
- we want to create "IPR free" standards
- if we can't do that we want to make sure that the IPRs that relates
   to a particular standard are "acceptable" (i.e. the wg should have
   the opportunity to review the conditions.

Demoting authors to contributors or contributors to the acknowledgement
section does not change the history.

In the particular case I quoted below I see the person that is not
responding active on other mailing lists with the same mail address
we are sending the reminders to.

/Loa

--

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 10 Jul 2018 12:55:04 +0100

Well, the thing is, people can lie. So a statement that they know of no IPR is of limited value for the objectives you want to achieve.
Similarly, there may be people on the list who know of IPR who don't say anything. They may or may not have contributed to or steered the work.

All we can do is set up a climate where we encourage timely disclosure (to meet your objectives) and where we provide a traceable history that can be cited as "entrapment" by lawyers in defence of alleged patent violations. 

IANAL, but I believe that the courts look very poorly on companies that have kept their IPR secret while witnessing or encouraging the production of standards that demand the use of the IPR.

Conversely, I am very worried that an individual or company can effectively block the progression of work by simply getting to a key point on the path and then going silent.

So I agree that we should try hard to get a response, but I don't agree that we should block on the lack of a response. Name and shame, and move on.

Cheers,
Adrian

> From: Loa Andersson [mailto:[email-masked]]
> Sent: 10 July 2018 09:58
> To: [email-masked]; 'Vijay K. Gurbani'; [email-masked]
> > Since WG chairs appoint authors of WG documents, and since the boilerplate
> should be enough if this goes to court, I would prefer you to remove authors by
> demoting them to contributor and let the WG go forward.
> >
> > But I acknowledge that you are the chair and can run the WG your way: you
> understand the issues and can best drive the WG.
> >
> > BTW, RFCs 6701 and 6702 are about helping authors and contributors remember
> their responsibilities and then dealing with the cases where they are "naughty".
> Those RFCs are not more than informational advice.
> >
> > A
> >

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 10 Jul 2018 13:50:22 +0100

+1

Stewart

---

From: Alia Atlas <[email-masked]>
Date: Tue, 10 Jul 2018 08:55:25 -0400

I also agree.

On Tue, Jul 10, 2018 at 8:51 AM Stewart Bryant <[email-masked]>
wrote:

> > Well, the thing is, people can lie. So a statement that they know of no
> IPR is of limited value for the objectives you want to achieve.
> > Similarly, there may be people on the list who know of IPR who don't say
> anything. They may or may not have contributed to or steered the work.
> >
> > All we can do is set up a climate where we encourage timely disclosure
> (to meet your objectives) and where we provide a traceable history that can
> be cited as "entrapment" by lawyers in defence of alleged patent violations.
> >
> > IANAL, but I believe that the courts look very poorly on companies that
> have kept their IPR secret while witnessing or encouraging the production
> of standards that demand the use of the IPR.
> >
> > Conversely, I am very worried that an individual or company can
> effectively block the progression of work by simply getting to a key point
> on the path and then going silent.
> >
> > So I agree that we should try hard to get a response, but I don't agree
> that we should block on the lack of a response. Name and shame, and move on.
> >
> > Cheers,
> > Adrian
> >
> >>> And in your WG it is clear that that is what you are doing, so
> expectations are
> >> set.

---

From: "Aaron Falk" <[email-masked]>
Date: Tue, 10 Jul 2018 09:42:08 -0400

This sounds like amateur lawyering.  I think this is a legal question 
that our current publishing procedures does not address.  While Adrian's 
proposal seems reasonable to me, IMO the right thing to do is to get 
some advice from the IETF lawyer and update our procedures to 
(consistently) address this scenario.

--aaron

On 10 Jul 2018, at 8:55, Alia Atlas wrote:

>>>> should be enough if this goes to court, I would prefer you to 
>>>> remove
>> authors by
>>>>> But I acknowledge that you are the chair and can run the WG your 
>>>>> way:
>> you
>>>> their responsibilities and then dealing with the cases where they 
>>>> are
>> "naughty".
>>>>>> From: WGChairs [mailto:[email-masked]] On Behalf Of 
>>>>>> Loa
>>>> Andersson
>>>>>> Sent: 09 July 2018 17:13
>>>>>>> I need to move a document to IESG, however, all but one author 
>>>>>>> has
>> sent
>>>>>>> Repeated efforts over the last 3 weeks to elicit a confirmation 
>>>>>>> from
>> the
>>>>>>> tardy author have failed.  The email to the author is not 
>>>>>>> bouncing,
>> but
>>>>>>> What are the chair options if the author does not respond at 
>>>>>>> all?  I
>> am

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 10 Jul 2018 09:55:12 -0400

One important clarification on your statement Toerless:

On 7/10/18 12:49 AM, Toerless Eckert wrote:
...
> in legal term includes authors to (every author is a contributor,
...

What RFC 8179 requires (specifically section 5.1.1) is that contributors 
disclose IPR.  That does not require an affirmative non-affirmation.  It 
does not require the IPR checks we perform.

We perform those checks because they help us conduct our work well. 
They are helpful.  But the rules actually place the onus on the holder 
of IPR.
And, in case it is not obvious, the primary impact of not following the 
rules lies on the effect that has on ones ability to exercise ones IPR. 
The IETF does not pretend to be IPR police.

Yours,
Joel

---

From: Lou Berger <[email-masked]>
Date: Tue, 10 Jul 2018 10:53:34 -0400

> So I agree that we should try hard to get a response, but I don't agree that we should block on the lack of a response. Name and shame, and move on.

I'm a big fan of moving folks who don't respond to the acknowledgments
section.  It denotes the contribution but indicates that their role is
no longer active -- I think this is the most we have the power to do...

Lou

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 10 Jul 2018 12:22:02 -0400

+1 to Lou's suggestion.  

Sue Hares 

-----Original Message-----
From: WGChairs [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Tuesday, July 10, 2018 10:54 AM
To: [email-masked]; 'Loa Andersson'; [email-masked]
Subject: Re: Missing IPR confirmation on WG document

> So I agree that we should try hard to get a response, but I don't agree that we should block on the lack of a response. Name and shame, and move on.

I'm a big fan of moving folks who don't respond to the acknowledgments section.  It denotes the contribution but indicates that their role is no longer active -- I think this is the most we have the power to do...

Lou

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 18:57:45 +0200

THanks, Joel, inline

On Tue, Jul 10, 2018 at 09:55:12AM -0400, Joel M. Halpern wrote:
> ....
> disclose IPR.

Thanks. I thought "statement" is quivalent to "disclosure", because
when you search for IPR on datatracker, the results coming up are
usually labelled as statements. But yes, RFC8179 calls it dislosure,
likewise the datracker page where they are declared.

> That does not require an affirmative non-affirmation.
> It does not require the IPR checks we perform.

Right. So whats the IETF normative process document explaining
the rules of the IPR check, and what does it say about the
unresponsive case ?

> We perform those checks because they help us conduct our work well. They are
> helpful.  But the rules actually place the onus on the holder of IPR.
> rules lies on the effect that has on ones ability to exercise ones IPR. The
> IETF does not pretend to be IPR police.

Sure. In countries with a useful legal system, unresponsive contributor
condition should lead to the inability to exercise the IPR against an
adopter of the RFC.

Cheers
    Toerless

---

From: Loa Andersson <[email-masked]>
Date: Tue, 10 Jul 2018 19:26:30 +0200

Lou,

> no longer active -- I think this is the most we have the power to do...

What is changed??

The folks who once were active contributors to the draft and could
influence what did go into the draft, still have had that influence
even if we move then to the acknowledgement section.

As for the statement "people can lie"! True they can, but normally
they don't.

/Loa

--

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 10 Jul 2018 13:49:56 -0400

Loa, you seem to be mixing things.
The point of asking for the confirmation of IPR disclosures is to help 
us.  Formally, our procedures do NOT require negative statements from 
folks.

If folks do not disclose, they face the various consequences of 
non-disclosure.  Having asked them explicitly helps avoid the excuse of 
"I did not know".  Allowing someone to stall the process indefinitely 
simply by not replying would create a massive abuse potential.

Yours,
Joel

On 7/10/18 1:26 PM, Loa Andersson wrote:
>>> So I agree that we should try hard to get a response, but I don't 
>>> agree that we should block on the lack of a response. Name and shame, 
>>> and move on.
>>

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Tue, 10 Jul 2018 11:11:19 -0700

I agree with Toerless.

IPR declaration's purpose is 1) to inform people that there exists IPR, but
ultimately 2) to obtain a statement about the type of license
(royalty-free, FRAND, etc.) that could be obtained from the IPR owner about
this protected technology. This is what is needed at the IETF to make a
decision about publishing a standard specification with an IETF stamp or
not.

Once a response is obtained, a licensing argument can be legally made. Lack
of response does not help the decision process nor gives any guarantees to
potential consumers of the technology. Therefore, this lack of response
would be a loophole that could be abused.

Juan Carlos

On Mon, Jul 9, 2018 at 9:49 PM Toerless Eckert <[email-masked]> wrote:

> sufficient to
> > > > As for RTGWG, luckily, we have never had to "remove" anyone due to
> unresponsiveness, however it often takes time to get everyone to respond.
> > > > In general - after 6 weeks of trying I'd have a chat with the
> co-authors and potentially "remove" the person in question.
> > > >
> > > > I don't think moving to contributors is a right thing to do,  we
> also request every contributor to respond to IPR call, if the person in
> question had no interest whatsoever to working in IETF thanking for the
> initial contribution should be good enough.
> > > >
> > > > Cheers,
> > > > Jeff
> > > >
> > > > ???On 7/9/18, 09:07, "WGChairs on behalf of Vijay K. Gurbani" <
> [email-masked] on behalf of [email-masked]> wrote:
> > > >
> has sent
> from the
> bouncing, but
> all?  I am

---

From: Lou Berger <[email-masked]>
Date: Tue, 10 Jul 2018 14:22:05 -0400

Agreed -- The point I was really getting at is that we don't have much 
we can do when someone abuses (or ignores) IETF or WG process. We 
obviously can't change actual contributions, all we can do is:
(a) ensure their response or lack thereof is publicly documented -- for 
the WG, the IESG and the record
(b) as a consequence of abuse/non response demote their personal credit 
for the work,
         by noting their contribution in the acknowledgements section
         rather than as an author or contributor, and
(c) keep their behavior in mind when considering them for future roles 
in the IETF, e.g., editor or WG chair

Lou

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 10 Jul 2018 11:42:42 -0700

Yes, agree.
However it should be clear that we don't tolerate "leg pulling" and eventually (within reasonable limits) "demote" the abuser to a position where IPR response (either ACK or NACK) is not anymore required, Toerless - this is not a temporarily action.  

Cheers,
Jeff

On 7/10/18, 11:34, "WGChairs on behalf of Lou Berger" <[email-masked] on behalf of [email-masked]> wrote:

    Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 10 Jul 2018 19:54:10 +0100

Jeff,
No such position exists!
Once a person has made an IETF contribution relevant to a piece of work, they are expected to disclose associated IPR.
Demotion is a way of avoiding Auth48 issues that may follow, and might be a sanction. It does nothing to the existence of IPR or the need to disclose.
Adrian

> From: Jeff Tantsura [mailto:[email-masked]]
> Sent: 10 July 2018 19:43
> To: Lou Berger; Joel M. Halpern; Loa Andersson; [email-masked];
> [email-masked]
> However it should be clear that we don't tolerate "leg pulling" and eventually
> (within reasonable limits) "demote" the abuser to a position where IPR response
> (either ACK or NACK) is not anymore required, Toerless - this is not a temporarily
> action.
> 
> Cheers,
> Jeff
> 
> On 7/10/18, 11:34, "WGChairs on behalf of Lou Berger" <wgchairs-
> [email-masked] on behalf of [email-masked]> wrote:
>

---

From: "John G. Scudder" <[email-masked]>
Date: Tue, 10 Jul 2018 15:39:51 -0400

Folks keep citing RFC 8179 section 5.1.1 in this conversation. But section 1(c) makes it clear that a “contributor” is not limited to an author or person listed in the “contributors” section, it’s potentially anyone in the WG who opens their mouth. We supposedly all know this very well since we’re all expected to explain it to our WGs whenever we meet. We obviously don’t require an IPR declaration from every Contributor as defined in 8179 1(c).

I’m fine with our custom of asking authors and listed contributors to affirm they’ve carried out their duties per RFC 8179, but I’m not under any delusion that it provides us with some kind of invulnerable shield. This seems to me, to support the position taken by Adrian, Lou and others. (I’m also not under the misapprehension that any of you is my lawyer, nor am I yours.)

A few specific replies below.

> On Jul 10, 2018, at 1:49 PM, Joel M. Halpern <[email-masked]> wrote:
> 
> Formally, our procedures do NOT require negative statements from folks.

I generally prefer to ask the question in affirmative form, e.g. “please confirm that you’ve made any required IPR disclosures per RFC 8179”. Sometimes people respond with a negative statement (“I’m not aware of any relevant IPR”) which is fine by me. (And I’m not terribly punctilious about the form, so it may well be I have in the past asked for negative statements.)

> On Jul 10, 2018, at 4:58 AM, Loa Andersson <[email-masked]> wrote:
> 

Who is “we” in that assertion?

Thanks,

—John

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 22:12:04 +0200

> However it should be clear that we don't tolerate "leg pulling" and eventually (within reasonable limits) "demote" the abuser to a position where IPR response (either ACK or NACK) is not anymore re…

If disclosure response arrives very late but in time before AUTH48
concluding i am sure we need to make an educated choice whether
there was malice or mitigating circumstances for prior
non-responsiveness before deciding whether the downclassification
to "author/contirbutor->acknowledged" should be permanent.

"I was 3 month in prison/hospital/sail-boat/online-addiction-detox-therapy/...".

Just saying. But certainly your point is important: No re-uupgrade
unless its clear there was no malice. Otherwise we would encourage
more leg pulling.

Hopefully this non-responsiveness discussion should all be theooretical 
for most of us and we'll pity the few WG chairs who have to encounter it...

Cheers
    Toerless

> Cheers,
> Jeff
> 
> ???On 7/10/18, 11:34, "WGChairs on behalf of Lou Berger" <[email-masked] on behalf of [email-masked]> wrote:
> 

-- 
---
[email-masked]

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 10 Jul 2018 13:38:16 -0700

Adrian,

While the disclosure is expected, it is not enforceable, the means to sabotage wg' work (either intentionally or not) will be used and abused. 
I think guidelines to how to treat such cases would be rather useful, especially for  "fresh" chairs.

Cheers,
Jeff

On 7/10/18, 11:54, "Adrian Farrel" <[email-masked]> wrote:

    Jeff,
    No such position exists!

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 10 Jul 2018 22:05:23 +0100

Yes, Jeff,

It's almost like we could use an RFC that describes ways to promote compliance with IETF IPR disclosure rules, and another to suggest a list the sanctions available for application to violators of IETF IPR policy.

Adrian

> Sent: 10 July 2018 21:38
> To: [email-masked]; 'Lou Berger'; 'Joel M. Halpern'; 'Loa Andersson';
> [email-masked]
> While the disclosure is expected, it is not enforceable, the means to sabotage wg'
> work (either intentionally or not) will be used and abused.
>     Demotion is a way of avoiding Auth48 issues that may follow, and might be a
> sanction. It does nothing to the existence of IPR or the need to disclose.
>     Adrian
>

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 10 Jul 2018 23:21:52 +0200

Adrian:

What is even the best current normative reference for the
process of asking the IPR question to conributors ?

Pending on what doc it is, it might make more sense to rev that doc
with more considerations.

On Tue, Jul 10, 2018 at 10:05:23PM +0100, Adrian Farrel wrote:
> > ???On 7/10/18, 11:54, "Adrian Farrel" <[email-masked]> wrote:
> > 
> >     Jeff,
> >     No such position exists!
> >     > ???On 7/10/18, 11:34, "WGChairs on behalf of Lou Berger" <wgchairs-

-- 
---
[email-masked]

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 10 Jul 2018 22:51:30 +0100

RFC 6702

> From: Toerless Eckert [mailto:[email-masked]]
> Sent: 10 July 2018 22:22
> To: Adrian Farrel
> Cc: 'Jeff Tantsura'; [email-masked]
> > It's almost like we could use an RFC that describes ways to promote
compliance
> with IETF IPR disclosure rules, and another to suggest a list the sanctions
available
> for application to violators of IETF IPR policy.
> >
> > Adrian
> >
> > > While the disclosure is expected, it is not enforceable, the means to
sabotage
> wg'
> > > I think guidelines to how to treat such cases would be rather useful,
especially
> for
> > > "fresh" chairs.
> > >     Once a person has made an IETF contribution relevant to a piece of
work,
> they
> > > are expected to disclose associated IPR.
> > >     Demotion is a way of avoiding Auth48 issues that may follow, and might
be
> a
> > >     > (within reasonable limits) "demote" the abuser to a position where
IPR
> > > response
> > >     > (either ACK or NACK) is not anymore required, Toerless - this is not
a
> > > temporarily
> > >     >     > us.  Formally, our procedures do NOT require negative
statements
> > >     >     > non-disclosure.  Having asked them explicitly helps avoid the
excuse
> of
> > >     >     >>>> agree that we should block on the lack of a response. Name
and
> > > shame,
> > >     >     >>> no longer active -- I think this is the most we have the
power to
> do...

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 10 Jul 2018 14:56:49 -0700

As long as sanctions are loop free __

Cheers,
Jeff

On 7/10/18, 14:05, "Adrian Farrel" <[email-masked]> wrote:

    Yes, Jeff,

    Adrian

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 10 Jul 2018 19:05:38 -0400

> I think guidelines to how to treat such cases would be rather useful, especially for  "fresh" chairs.

I'll hazard that this may be a place where tools may help.  (I'll also
hazard that our lack of consistency in requiring a single markup input will
sabotage this proposal.)

What I'd prefer is that if someone chooses to publish a
draft-somename-bfd-somefeature.txt, the tracker notices that BFD requires
IPR to be clear up front.  It extracts all authors from the document and
instead of requiring just the submitter to approve the document, it'll
require an IPR attestation from each author in the document.  Publication
will be blocked until that's done.

Similar would be done on author change or WG document state change at each
step of the way.

Other working groups might have different policy but the tool could enforce
that.

-- Jeff (Haas)

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 11 Jul 2018 01:26:37 +0200

+1

Do you want to open a ticket to ask how to get this on datatracker
feature roadmap and suggest to help collect requirements if it would be approved ?

https://trac.tools.ietf.org/tools/ietfdb/newticket

Btw: The policy i'd prefer for my WG wouldn't be block, but just log the input
and beside YES(disclosures files) and NO also have PENDING (comment). That
way we can get started without scaring away new contributors and figure out what
more we need to do to best accelerate the submittre ability to provide YES/NO
answerss.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 10 Jul 2018 19:53:13 -0400

> more we need to do to best accelerate the submittre ability to provide YES/NO

I think adding a ticket makes sense once some of the functional requirements
have had further discussion.  As it is, I suspect the ADs will be irate for
immediately leading this into a tools-related solution space. :-)

-- Jeff (but this is good discussion fodder for Montreal)

---

From: "Zhangfatai (Fatai Zhang)" <[email-masked]>
Date: Wed, 11 Jul 2018 01:57:24 +0000

I support the efficient and simple approach, :-)

>moving folks who don't respond to the acknowledgments section

Thanks

Fatai

-----邮件原件-----
发件人: WGChairs [mailto:[email-masked]] 代表 Lou Berger
发送时间: 2018年7月11日 2:22
收件人: Joel M. Halpern <[email-masked]>; Loa Andersson <[email-masked]>; [email-masked]; [email-masked]
主题: Re: Missing IPR confirmation on WG document

Agreed -- The point I was really getting at is that we don't have much we can do when someone abuses (or ignores) IETF or WG process. We obviously can't change actual contributions, all we can do is:
(a) ensure their response or lack thereof is publicly documented -- for the WG, the IESG and the record
(b) as a consequence of abuse/non response demote their personal credit for the work,
         by noting their contribution in the acknowledgements section
         rather than as an author or contributor, and
(c) keep their behavior in mind when considering them for future roles in the IETF, e.g., editor or WG chair

Lou

On 7/10/2018 1:49 PM, Joel M. Halpern wrote:
> non-disclosure.  Having asked them explicitly helps avoid the excuse 
> of "I did not know".  Allowing someone to stall the process 
> indefinitely simply by not replying would create a massive abuse potential.
>
> Yours,
> Joel
>
>>>> agree that we should block on the lack of a response. Name and 
>>>> shame, and move on.
>>> I'm a big fan of moving folks who don't respond to the 
>>> acknowledgments section.  It denotes the contribution but indicates 
>>> that their role is no longer active -- I think this is the most we have the power to do...
>> What is changed??
>>

---

From: Fred Baker <[email-masked]>
Date: Tue, 10 Jul 2018 19:35:32 -0700

It seems to me that the solution is pretty simple. Document the fact that the IETF and its working group did due diligence to determine whether there was extant IPR and the author did not respond in a timely fashion. Should it go to court, if there was in fact relevant IPR, the author didn’t do what the I-D boilerplate asserts that s/he did, and missed the final opportunity to sort that out. It is therefore up to them to prove that they didn’t submarine the IPR.

> On Jul 10, 2018, at 4:55 AM, Adrian Farrel <[email-masked]> wrote:
>

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 10 Jul 2018 20:27:22 -0700

Couldn’t agree more!

Regards,
Jeff

> On Jul 10, 2018, at 16:05, Jeffrey Haas <[email-masked]> wrote:
>

---

From: Loa Andersson <[email-masked]>
Date: Wed, 11 Jul 2018 12:30:10 +0200

Fatai,

Can you please explain what exactly is solved by moving a
contributor or author to the acknowledgement section?

/Loa

--

---

From: Lou Berger <[email-masked]>
Date: Wed, 11 Jul 2018 06:50:23 -0400

I like it! Given the 5 author rule, I think this process should apply 
equally to contributors. ( there are documents out there, including some 
that I have worked on, where the contributors do more writing than the 
editor's listed on the front page.)

Lou

----------
On July 10, 2018 7:06:49 PM Jeffrey Haas <[email-masked]> wrote:

>> sabotage wg' work (either intentionally or not) will be used and abused.
>> especially for  "fresh" chairs.
>

---

From: "Black, David" <[email-masked]>
Date: Wed, 11 Jul 2018 13:02:52 +0000

Don't have to repeat the "can't find that person" experience during Authors 48 hours ...

Thanks, --David

> Sent: Wednesday, July 11, 2018 6:30 AM
> To: Zhangfatai (Fatai Zhang); Lou Berger; Joel M. Halpern;
> [email-masked]; [email-masked]
> Subject: Re: 答复: Missing IPR confirmation on WG document
> 
> Fatai,
> 
> > 收件人: Joel M. Halpern <[email-masked]>; Loa Andersson
> <[email-masked]>; [email-masked]; [email-masked]
> > Agreed -- The point I was really getting at is that we don't have much we
> can do when someone abuses (or ignores) IETF or WG process. We obviously
> can't change actual contributions, all we can do is:

---

From: "Zhangfatai (Fatai Zhang)" <[email-masked]>
Date: Wed, 11 Jul 2018 13:22:00 +0000

Hi Loa,

I just saw Lou had answered your question, and I would add that this simple approach can move forward a draft efficiently without waiting for an IPR confirmation from someone for much longer time (or forever) than expected normally.

I also agree on that it is very helpful if there are some documents to define the rules.

________________________________

Thanks
Fatai

发件人： Loa Andersson
收件人： Zhangfatai (Fatai Zhang)<[email-masked]<mailto:[email-masked]>>;Lou Berger<[email-masked]<mailto:[email-masked]>>;Joel M. Halpern<[email-masked]<mailto:[email-masked]>>;adrian<[email-masked]<mailto:[email-masked]>>;wgchairs<[email-masked]<mailto:[email-masked]>>
主题： Re: 答复: Missing IPR confirmation on WG document
时间： 2018-07-11 18:30:21

Fatai,

/Loa

--

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 11 Jul 2018 10:05:48 -0400

What is solved by moving the "author" is not an IPR problem.  The 
working group does not have an IPR problem.  The IETF does not have any 
policy placing any obligation on a working group to actively enforce IPR 
disclosures.  The verification requests we use are to help make sure 
that participants are following policy.

If the MPLS WG were to actually adopt a policy that said that a 
disaffected author could block progression of a document for a 
significant period of time, that would be an attack on IETF progress.

The benfit of moving the author is two-fold.
1) It preempts problems that non-responsive authors cause later in the 
proess
2) It sends a clear message that the chairs have noticed the behavior 
and reacted.  It provides a dis-incentive for folks being non-responsive 
precisely because the removal is something people do not like.

Yours,
Joel

---

From: Vincent Roca <[email-masked]>
Date: Wed, 11 Jul 2018 09:22:32 +0200

I don’t agree with the idea of blocking I-D submission with a mandatory IPR attestation from all authors.
I don’t want a late I-D submission (i.e. just before deadline) to be missed just because an author is on vacation
and couldn’t answer.

But yes, at some key moment (e.g., WG Item adoption, before AD review, or whenever a chair think it’s appropriate
because something important happened with this work, like a merge of I-Ds), we can ask all authors to commit
WRT the IPR status of their document, in a visible and official manner. If a tool is available for that, that’s great.
But we, as chair, need to keep in mind that any I-D update is likely to change IPR status and since a timely disclosure
is needed, this must be clarified as soon as reasonably possible (I think it’s the official new wording).

The main lever we have, as chair, is author reputation. If someone wants to contribute to a WG/RG, he/she needs
to understand that reputation is essential and behaving inappropriately WRT IPR rules may well compromise
his/her reputation and consequently future contributions. Our "Note Well » introduction slide is important to clarify it,
and I do not hesitate to remind it during a meeting each time I think it’s appropriate.

One more thing. If an author never mentioned any IPR and suddenly, because he/she is obliged to take an official
position, declares something, then it may well be the sign of a problem. It’s unlikely that only the last version of the
I-D is subject to IPR. As a chair, if that happens, I won’t hesitate to investigate it with the author, publicly on the list.
It’s pretty simple: we have the diff between each version and can ask whether this new text is what triggered his/her
new position. If not, then there’s a problem. Once again, the author (or company?) reputation is IMHO the main lever
we have. I did it in the past (not as a chair though) and it’s pretty efficient to clarify things.

Cheers,

  Vincent

> Le 11 juil. 2018 à 05:27, Jeff Tantsura <[email-masked]> a écrit :
> 
> Couldn’t agree more!
> 
> Regards,
> Jeff
>

---

From: Yoav Nir <[email-masked]>
Date: Wed, 11 Jul 2018 19:14:55 +0300

We don’t reliably have the email address of contributors.

> On 11 Jul 2018, at 13:50, Lou Berger <[email-masked]> wrote:
> 
> I like it! Given the 5 author rule, I think this process should apply equally to contributors. ( there are documents out there, including some that I have worked on, where the contributors do more writing than the editor's listed on the front page.)
> 
> Lou
> 
> 
> ----------

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 11 Jul 2018 18:32:05 +0200

Nothing stopping us from starting to track them equally as we do
author addresses. I think in fact some tooling like that from Jari
is already parsing names and email addresses from te contributors
section when showing author stats.

On Wed, Jul 11, 2018 at 07:14:55PM +0300, Yoav Nir wrote:
> We don???t reliably have the email address of contributors.
> 

-- 
---
[email-masked]

---

From: Lou Berger <[email-masked]>
Date: Wed, 11 Jul 2018 12:25:00 -0400

> We don’t reliably have the email address of contributors.
this is draft/wg dependent.  Most drafts I see have contributor e-mail 
addresses included - I will ask for them to be added if not there in 
documents I shepherd.

Lou

---

From: Loa Andersson <[email-masked]>
Date: Thu, 12 Jul 2018 01:06:29 +0200

Joel,

The MPLS working group has been running the same process for the last
8-9 years, over that period the request that the authors and
contributors to respond to the IPR poll has never blocked any
document to be blocked.

It has taken quite a bit of face keeping duck, to make it happen

> significant period of time, that would be an attack on IETF progress.

Harsh words, and we have not adopted such a policy, not in in the
past, not now and not in the future.
As a matter I have yet to come upon a "disaffected author", we maybe
should be a be more careful how we portray our fellow colleagues.
The reasons for delays are generally quite legimate
> 1) It preempts problems that non-responsive authors cause later in the 

well - my experience tells me that there is no significant positive
relationship between who was delaying IPR responses also were the
delaying the AUTH48.

> precisely because the removal is something people do not like.

yes - I think that we need this tool, if we ever really encounters a
"disaffected author", and not just someone that been to an extended
PTO or between companies.

And I also think that it is better to really try to have people respond.

/Loa

>>> Agreed -- The point I was really getting at is that we don't have 
>>> much we can do when someone abuses (or ignores) IETF or WG process. 
>>> We obviously can't change actual contributions, all we can do is:
>>> (c) keep their behavior in mind when considering them for future 
>>> roles in the IETF, e.g., editor or WG chair
>>>
>>> Lou
>>>

--

---

From: Loa Andersson <[email-masked]>
Date: Thu, 12 Jul 2018 12:04:58 +0200

Folks,

It has been pointed out to me that what I've said about the MPLS wg
process on IPR, could be understood as that we would wait indefinitely
for a response, and this giving a "disaffected author" the possibility
to block a document.

Reading back over this thread I understand why my mail could be
interpreted in such away.

To be clear we will not wait indefinitely, there is always an escape
plan, but we are very reluctant to put that into effect. Basically what
we do is that we start a call for working group adoption, and in that
wgap explain the situation and make clear that when people respond that
they want to adopt the document also say that they are aware of the IPR
situation and want to progress regardless.

We have never been required to use this escape plan, but we been very
close twice. The last case were draft-xu-mpls-sr-over-ip where we
after 6 weeks not had received all responses. I sent out a mail to the
authors explaining what I would (see above) and while waiting for
responses/comments on that mail I got the final response. The last
contributor responding claimed a combination of missing the first mail,
spam box and PTO.

/Loa

On 2018-07-12 01:06, Loa Andersson wrote:
>> working group does not have an IPR problem.  The IETF does not have 
>> any policy placing any obligation on a working group to actively 
>> enforce IPR disclosures.  The verification requests we use are to help 
>> make sure that participants are following policy.
>>
>> and reacted.  It provides a dis-incentive for folks being 
>> non-responsive precisely because the removal is something people do 
>> not like.
> 

--

---

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 11 Jul 2018 12:36:24 -0400

+1
> On Jul 11, 2018, at 3:22 AM, Vincent Roca <[email-masked]> wrote:
>

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 12 Jul 2018 20:10:52 +0200

Reputation is fine, but do you want to be the WG chair that has to
remember and track in your own personal one-off method all Q&A that
did or did not happen wrt. a particular doc and a particular contributor ?

Its a lot easier if a tool does create the questions and record the Q&A -
YES(filed)/NO/OTHER(comments). That audit record is the basis for reputation.
IMHO, no blocking necessary.

On Wed, Jul 11, 2018 at 09:22:32AM +0200, Vincent Roca wrote:
> I don???t agree with the idea of blocking I-D submission with a mandatory IPR attestation from all authors.
> I don???t want a late I-D submission (i.e. just before deadline) to be missed just because an author is on vacation
> and couldn???t answer.
> 
> But yes, at some key moment (e.g., WG Item adoption, before AD review, or whenever a chair think it???s appropriate
> WRT the IPR status of their document, in a visible and official manner. If a tool is available for that, that???s great.
> is needed, this must be clarified as soon as reasonably possible (I think it???s the official new wording).
> 
> and I do not hesitate to remind it during a meeting each time I think it???s appropriate.
> 
> position, declares something, then it may well be the sign of a problem. It???s unlikely that only the last version of the
> I-D is subject to IPR. As a chair, if that happens, I won???t hesitate to investigate it with the author, publicly on the list.
> It???s pretty simple: we have the diff between each version and can ask whether this new text is what triggered his/her
> new position. If not, then there???s a problem. Once again, the author (or company?) reputation is IMHO the main lever
> we have. I did it in the past (not as a chair though) and it???s pretty efficient to clarify things.
> 
> Cheers,
> 
>   Vincent
> 
> 
> > Couldn???t agree more!

-- 
---
[email-masked]

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 12 Jul 2018 18:24:58 +0000

> From: WGChairs [mailto:[email-masked]] On Behalf Of Toerless
> Eckert
> Sent: Thursday, July 12, 2018 2:11 PM
> To: Vincent Roca <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [irsg] Missing IPR confirmation on WG document
> 
[acm] 
+1, and Chairs block progress if necessary, 
with the records from a tool as evidence.

I would use that tool,
Al

> > I don???t agree with the idea of blocking I-D submission with a
> mandatory IPR attestation from all authors.
> > I don???t want a late I-D submission (i.e. just before deadline) to be
> missed just because an author is on vacation
> > and couldn???t answer.
> >
> > But yes, at some key moment (e.g., WG Item adoption, before AD review,
> or whenever a chair think it???s appropriate
> > WRT the IPR status of their document, in a visible and official manner.
> If a tool is available for that, that???s great.
> > But we, as chair, need to keep in mind that any I-D update is likely to
> change IPR status and since a timely disclosure
> > his/her reputation and consequently future contributions. Our "Note Well
> » introduction slide is important to clarify it,
> > One more thing. If an author never mentioned any IPR and suddenly,
> because he/she is obliged to take an official
> > position, declares something, then it may well be the sign of a problem.
> It???s unlikely that only the last version of the
> > I-D is subject to IPR. As a chair, if that happens, I won???t hesitate
> to investigate it with the author, publicly on the list.
> > It???s pretty simple: we have the diff between each version and can ask
> whether this new text is what triggered his/her
> > new position. If not, then there???s a problem. Once again, the author
> (or company?) reputation is IMHO the main lever
> > >>> While the disclosure is expected, it is not enforceable, the means
> to sabotage wg' work (either intentionally or not) will be used and
> abused.